import request from '@/utils/request'

// 查获取指定模块的指标值
export function getModuleMetrics(params) {
  return request({
    url: '/user/basic/portrait/module/info',
    method: 'get',
    params: params
  })
}

//获取用户在指定层级的详细排名信息
export function getRankInfo(params) {
  return request({
    url: '/item/user-ranking/ranking-detail',
    method: 'get',
    params: params
  })
}

//巡检画像
export function getPortrait(params) {
  return request({
    url: '/check/largeScreen/portrait',
    method: 'get',
    params: params
  })
}
//能力画像-学习成长
export function getGrowthPortrait(params) {
  return request({
    url: '/system/growth/portrait',
    method: 'get',
    params: params
  })
}
//总体概览接口
export function getOverview(params) {
  return request({
    url: '/system/user/population',
    method: 'get',
    params: params
  })
}
//获取指定用户画像
export function getUserProfile(params) {
  return request({
    url: '/exam/daily/user-profile',
    method: 'get',
    params: params
  })
}

//获取班组和科室画像
export function getDeptProfile(params) {
  return request({
    url: '/exam/daily/dept-profile',
    method: 'get',
    params: params
  })
}
//获取站级画像
export function getSiteProfile(params) {
  return request({
    url: '/exam/daily/site-profile',
    method: 'get',
    params: params
  })
}
//能力画像-协同配合
export function getCollaborationProfile(params) {
  return request({
    url: '/system/user/cooperation',
    method: 'get',
    params: params
  })
}
//能力画像-明细
export function getDetailProfile(params) {
  return request({
    url: '/system/user/detail',
    method: 'get',
    params: params
  })
}
//计算站级查获统计
export function getSiteStatistics(params) {
  return request({
    url: `/item/user-ranking/station`,
    method: 'get',
    params: params
  })
}
//计算站级考勤工作统计
export function getAttendanceStatistics(params) {
  return request({
    url: `/attendance/stats/station`,
    method: 'get',
    params: params  
  })
}
